#use eziopk25.lib

#define NUMOUT 12

void main() {
  int i;

  //	initially, turn off all the high current output
  for (i = 0; i < NUMOUT; ++i) {
    eioBrdDO(i,0);
  }
  
  while (1) {
    for (i = 0; i < NUMOUT; ++i) {
      printf("press a key to enable channel %d\n",i);
      while (!kbhit()) hitwd();
      getchar();
      eioBrdDO(i,1);
      printf("press a key to disable channel %d\n",i);
      while (!kbhit()) hitwd();
      getchar();
      eioBrdDO(i,0);
    }
  }
}